package cn.yw.nhyw.sbcj.service;

 import cn.yw.nhyw.sbcj.dao.SbcjDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("sbcjService")
public class SbcjService extends BaseService {
	
	private static Log log = LogFactory.getLog(SbcjService.class);
	
	@Autowired
	private SbcjDao sbcjDao;
	
	/**
	 * 保存记录
	 */
	/*
	public void insert_Sbcj(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		sbcjDao.insert_Sbcj(map);
	}
	*/

	
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Sbcj(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return sbcjDao.update_Sbcj(map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Sbcj(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return sbcjDao.delete_Sbcj(map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Sbcj(Map map) throws SQLException{
		return sbcjDao.batch_delete_Sbcj(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Sbcj(Map map) throws SQLException{
		return sbcjDao.count_Sbcj(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Sbcj(Map map) throws SQLException{
		return sbcjDao.query_Sbcj(map);
	}
	
	/**
	 * 查询一条
	 */
	 
	/*
	public Map get_Sbcj(Map map) throws SQLException{
		return sbcjDao.get_Sbcj(map);
	}
	*/
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportSbcj(Map map) throws SQLException{
		return this.listSbcjByPage(map);
	}
	*/
	
	/**
	 * Sbcj 分页
	 */
	/*
	public Map listSbcjByPage(Map map) throws SQLException {
		List<Map> list = sbcjDao.query_Sbcj(map);
		Integer totalCount = sbcjDao.count_Sbcj(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	*/
}
